import { generateMnemonic } from 'bip39';

export class SeedPhraseService {
  generate(wordCount: 12 | 24 = 12): string {
    const strength = wordCount === 12 ? 128 : 256;
    return generateMnemonic(strength);
  }
}
